summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRico Tzschichholz <ricotz@ubuntu.com>2021-01-31 13:04:52 +0100
committerRico Tzschichholz <ricotz@ubuntu.com>2022-01-25 18:25:39 +0100
commit5f87928bbc3ffc68a402b9b45b5e34cc599ee12f (patch)
tree195a8437e9b69af2f67130c13a3fe7dc001fa5e2
parente499872b1314afbf99947b805a7fb55611008c70 (diff)
downloadvala-wip/vapicheck.tar.gz
vapicheck: convenient caller scriptwip/vapicheck
-rwxr-xr-xvapicheck.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/vapicheck.sh b/vapicheck.sh
new file mode 100755
index 000000000..fd9343ac5
--- /dev/null
+++ b/vapicheck.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+FILE=$1
+
+if [ ! -f "$FILE" ]; then
+ echo "'$FILE' does not exist."
+ exit 1
+fi
+
+VAPI=`basename -s .vapi $1`
+VAPIDIR=`dirname $1`
+
+vapigen/vapicheck --disable-warnings --disable-since-check \
+ --dump-tree tree.vala \
+ --vapidir $VAPIDIR \
+ $FILE || exit 1
+
+compiler/valac --disable-warnings --disable-since-check \
+ -X -Wno-discarded-qualifiers \
+ -X -Wno-deprecated-declarations \
+ -X -Wno-unused-value \
+ -X -Werror=enum-conversion \
+ -X -Werror=int-conversion \
+ -X -Werror=implicit-function-declaration \
+ --vapidir $VAPIDIR --pkg $VAPI \
+ tree.vala || \
+compiler/valac --disable-warnings --disable-since-check \
+ -C \
+ --vapidir $VAPIDIR --pkg $VAPI \
+ tree.vala && exit 1
+
+./tree || exit 1
+
+rm -f tree.vala tree.c tree